Bug 9915 - dovecot не стартует - неверный путь к dovecot.pem
: dovecot не стартует - неверный путь к dovecot.pem
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dovecot)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-25 00:40 by
Modified: 2006-09-19 15:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-25 00:40:42
установка:

[root@alt ~]# apt-get install dovecot
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
  dovecot
0 upgraded, 1 newly installed, 0 removed and 16 not upgraded.
Need to get 0B/1250kB of archives.
After unpacking 2738kB of additional disk space will be used.
Committing changes...
Preparing...                 
############################################################## [100%]
1: dovecot                   
############################################################## [100%]
Generating SSL cert for imapd-ssl
Generating a 1024 bit RSA private key
..........................++++++
...............++++++
writing new private key to '/var/lib/ssl/private/dovecot.pem'
-----

subject= /OU=IMAP 
server/CN=imap.example.com/emailAddress=postmaster@example.com
MD5 Fingerprint=FD:DD:B4:49:85:11:A1:B6:4F:D0:AA:88:63:D1:89:AF
Done.


а при запуске ищется /etc/ssl/certs/dovecot.pem
[root@alt ~]# service dovecot start
Starting dovecot service: Error: Can't use SSL 
certificate /etc/ssl/certs/dovecot.pem: No such file or directory [FAILED]

в итоге dovecot не стартует.

[root@alt ~]# rpmquery -a dovecot
dovecot-1.0-alt4.cvs20060812
------- Comment #1 From 2006-09-18 19:02:26 -------
fixed Sun Sep 17 2006 in dovecot-1.0-alt5.cvs20060812